Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.render
Class RenderGrid

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.vistech.jai.render.RenderGrid

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class RenderGrid
extends javax.swing.JPanel

Creates a panel that draws a grid to represent the tile structure of the displyed image and a movable rectangle to represent the viewport. The poistion of the this rectangle reflects the relative position of the image with respect to the displayed image. The RenderGrid and the RenderedImageCanvas objects communicate through events.

Version:
  1.0 18 Apr 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected java.awt.geom.AffineTransform` | `atx`
`protected java.awt.Rectangle` | `currentShape`
`protected boolean` | `dragOn`
`protected int` | `height`
`protected int` | `maxTileIndexX`
`protected int` | `maxTileIndexY`
`protected int` | `panX`
`protected int` | `panY`
`protected int` | `tileHeight`
`protected int` | `tileWidth`
`protected java.awt.Point` | `vpPos`
`protected java.awt.Dimension` | `vpSize`
`protected int` | `width`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`RenderGrid()`

Method Summary
`int` | `getMaxTileIndexX()`
`int` | `getMaxTileIndexY()`
`int` | `getTileHeight()`
`int` | `getTileWidth()`
`java.awt.Dimension` | `getViewportDimension()`
`void` | `paintComponent(java.awt.Graphics gc)`
`void` | `processMouseEvent(java.awt.event.MouseEvent e)`
`void` | `processMouseMotionEvent(java.awt.event.MouseEvent e)`
`void` | `scroll(int x, int y)`
`void` | `setMaxTileIndexX(int tix)`
`void` | `setMaxTileIndexY(int tiy)`
`void` | `setPan(java.awt.Point pos)`
`void` | `setTileDimension(int width, int height)`
`void` | `setTileHeight(int th)`
`void` | `setTileIndices(int maxXIndex, int maxYIndex)`
`void` | `setTileWidth(int tw)`
`void` | `setTransform(java.awt.geom.AffineTransform at)`
`void` | `setViewportPosition(java.awt.Point vpPos)`
`void` | `setViewportSize(java.awt.Dimension size)`
`void` | `startScroll(int x, int y)`
`void` | `stopScroll()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### maxTileIndexX

    protected int maxTileIndexX

### maxTileIndexY

    protected int maxTileIndexY

### tileWidth

    protected int tileWidth

### tileHeight

    protected int tileHeight

### vpPos

    protected java.awt.Point vpPos

### currentShape

    protected java.awt.Rectangle currentShape

### panX

    protected int panX

### panY

    protected int panY

### width

    protected int width

### height

    protected int height

### dragOn

    protected boolean dragOn

### atx

    protected java.awt.geom.AffineTransform atx

### vpSize

    protected java.awt.Dimension vpSize

Constructor Detail

### RenderGrid

    public RenderGrid()

Method Detail

### getViewportDimension

    public java.awt.Dimension getViewportDimension()

### setTileIndices

    public void setTileIndices(int maxXIndex,
                               int maxYIndex)

### setTileDimension

    public void setTileDimension(int width,
                                 int height)

### setTileWidth

    public void setTileWidth(int tw)

### getTileWidth

    public int getTileWidth()

### setTileHeight

    public void setTileHeight(int th)

### getTileHeight

    public int getTileHeight()

### setMaxTileIndexX

    public void setMaxTileIndexX(int tix)

### getMaxTileIndexX

    public int getMaxTileIndexX()

### setMaxTileIndexY

    public void setMaxTileIndexY(int tiy)

### getMaxTileIndexY

    public int getMaxTileIndexY()

### setTransform

    public void setTransform(java.awt.geom.AffineTransform at)

### setViewportSize

    public void setViewportSize(java.awt.Dimension size)

### processMouseEvent

    public void processMouseEvent(java.awt.event.MouseEvent e)

  Overrides:
    `processMouseEvent` in class `java.awt.Component`

### processMouseMotionEvent

    public void processMouseMotionEvent(java.awt.event.MouseEvent e)

  Overrides:
    `processMouseMotionEvent` in class `javax.swing.JComponent`

### stopScroll

    public void stopScroll()

### startScroll

    public void startScroll(int x,
                            int y)

### scroll

    public void scroll(int x,
                       int y)

### setPan

    public void setPan(java.awt.Point pos)

### setViewportPosition

    public void setViewportPosition(java.awt.Point vpPos)

### paintComponent

    public void paintComponent(java.awt.Graphics gc)

  Overrides:
    `paintComponent` in class `javax.swing.JComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD